## image-editor 1.0.14

=== libimageviewer/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,7 @@
 pkg_check_modules(3rd_lib REQUIRED
     dtkwidget
     dtkcore
+    dtkgui
     )
 
 #需要打开的头文件
