=== debian/changelog ===
image-editor (1.0.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 17:49:10 +0800
