=== debian/changelog ===
image-editor (1.0.18-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 26 Jul 2022 13:41:40 +0800

image-editor (1.0.0) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800
