=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
  libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
  libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev,
- libopencv-dev
+ libopencv-dev, libmediainfo-dev, libglib2.0-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -18,7 +18,7 @@
  libimage-viewer
 Replaces:
  libimage-viewer
-Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr
+Recommends: libqt5libqgtk2, kimageformat-plugins, deepin-ocr, ffmpegthumbnailer, ffmpeg
 Description: Image Viewer library.
  Deepin Image Viewer library.
