=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -74,6 +74,8 @@
     gio-qt
     gio-unix-2.0
     gsettings-qt
+    gstreamer-1.0
+    libmediainfo
 #    freeimage
         )
 
@@ -102,7 +104,7 @@
 target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS})
 
 target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
-target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} )
+target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} -ldl)
 
 
 target_link_libraries(
@@ -117,7 +119,6 @@
     Qt5::X11Extras
     Qt5::PrintSupport
     Qt5::OpenGL
-    Qt5::WidgetsPrivate
     Qt5::Test
     dtkwidget
     dtkcore
