=== debian/changelog ===
image-editor (1.0.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:54:45 +0800

image-editor (1.0.19) unstable; urgency=medium

  * Add movie information interface

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2022 14:15:54 +0800
