=== debian/control ===
--- 
+++ 
@@ -2,12 +2,40 @@
 Section: utils
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.com>
-Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
- libraw-dev,libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev,
- qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
- libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
- libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev,
- libopencv-dev, libmediainfo-dev, libglib2.0-dev
+Build-Depends: 
+ debhelper (>= 11), 
+ cmake, 
+ qtbase5-dev, 
+ pkg-config,
+ libexif-dev, 
+ libqt5svg5-dev, 
+ libqt5x11extras5-dev, 
+ libsqlite3-dev, 
+ qttools5-dev-tools,
+ qttools5-dev, 
+ libxcb-util0-dev, 
+ libstartup-notification0-dev,
+ libraw-dev,
+ libfreeimage-dev, 
+ libqt5opengl5-dev, 
+ qtbase5-private-dev,
+ qtmultimedia5-dev, 
+ x11proto-xext-dev, 
+ libmtdev-dev, 
+ libegl1-mesa-dev,
+ libudev-dev, 
+ libfontconfig1-dev, 
+ libfreetype6-dev, 
+ libglib2.0-dev,
+ libxrender-dev, 
+ libdtkwidget-dev, 
+ libdtkwidget5-bin,
+ libdtkcore5-bin,
+ libgio-qt-dev,
+ libudisks2-qt5-dev,
+ libopencv-dev, 
+ libmediainfo-dev,
+ libffmpegthumbnailer-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
