## image-editor 1.0.24

=== debian/changelog ===
image-editor (1.0.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 29 Nov 2022 10:35:46 +0800

image-editor (1.0.22) unstable; urgency=medium

  * Add movie information interface

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2022 14:15:54 +0800
