=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  libudev-dev, 
  libfontconfig1-dev, 
  libfreetype6-dev, 
- libglib2.0-dev,
  libxrender-dev, 
  libdtkwidget-dev, 
  libdtkwidget5-bin,
@@ -35,7 +34,8 @@
  libudisks2-qt5-dev,
  libopencv-dev, 
  libmediainfo-dev,
- libffmpegthumbnailer-dev
+ libffmpegthumbnailer-dev,
+ libtiff-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
