=== debian/changelog ===
image-editor (1.0.25-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:31:13 +0800

image-editor (1.0.25) unstable; urgency=medium

  * Fix some bugs.

 -- Deepin Packages Builder <packages@linuxdeepin.com> Tue, 21 Feb 2023 15:42:01 +0800
