=== debian/changelog ===
image-editor (1.0.39-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 12 Dec 2023 19:53:18 +0800

image-editor (1.0.39) unstable; urgency=medium

  * fix: compact mode build faild on low dtkgui version.
         (Influence: CompactMode)
  * fix: remove unnecessary dependency packages
  * feat: Add AI image enhance support.(Influence: AIModel)
  * fix: Init type error / disable drag in processing.
         (Bug: 232295, 232301)(Influence: InitImageType DragImage)
  * fix: Action using enhance image instead of source.
         (Bug: 232505)(Influence: Menu)
  * fix: Disable album action with enhance image.
         (Bug: 232505)(Influence: Menu)
  * fix: diff color with bottom bar and enhance bar.(Influence: EnhaceBar)
  * feat: Disable enhance image size limit.
  * fix: Add file unsavable notify dialog.

 -- renbin <renbin@uniontech.com>  Tue, 12 Dec 2023 17:01:47 +0800

image-editor (1.0.38) unstable; urgency=medium

  * chore: Update REUSE date

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 16 Oct 2023 17:33:35 +0800

image-editor (1.0.37) unstable; urgency=medium

  * Bump version for community, previous is 1.0.34
  * fix: Crash when not found libffmpegthumbnailer.so (#93)
    (Bug: 213565)(Influence: MovieCover)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Sep 2023 17:56:57 +0800

image-editor (1.0.36) unstable; urgency=medium

  * fix: Crash when not found libffmpegthumbnailer.so (#93)
    (Bug: 213565)(Influence: MovieCover)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Sep 2023 17:54:32 +0800

image-editor (1.0.35) unstable; urgency=medium

  * feat: just use QLibrary to search .so
  * fix: Read images from gvfs-mtp mounted folder was slow.(Bug: 204243)(Influence: FileLoad MTP)
  * feat: dfm-io build depend compatibility with diff environments.(Influence: debian/control)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 21 Sep 2023 15:34:15 +0800

image-editor (1.0.34) unstable; urgency=medium

  * fix: Reading out of bounds while file access denied.(Bug: 206425)(Influence: FileAccess)
  * fix: The image becomes larger after rotation.(Bug: 208685)(Influence: RotateImage)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 03 Aug 2023 16:27:44 +0800

image-editor (1.0.33) unstable; urgency=medium

  * Fix build using gcc13: add missing include cstdint.
  * fix: Adapt compact mode. (#84)(Bug: 199309)(Influence: TitleBar CompactMode)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 May 2023 13:48:06 +0800

image-editor (1.0.32) unstable; urgency=medium

  * fix: 【UI】导航窗口样式调整(Bug: 194661)
  * fix: 【UI】重命名弹窗样式调整(Bug: 194651)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 09 May 2023 17:47:14 +0800

image-editor (1.0.31) unstable; urgency=medium

  * Update version to 1.0.31 community

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Apr 2023 15:50:47 +0800

image-editor (1.0.30) unstable; urgency=medium

  * fix: 修复重名提示时，输入框未标红的问题(Bug: 194689)
  * fix: fix open deepin-image-viewer crash problem
  * fix: fixed an issue where clicking the large Image - Delete button on the lower version album did not work.

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 26 Apr 2023 15:36:47 +0800

image-editor (1.0.29) unstable; urgency=medium

  * Update version to 1.0.29. community

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 11:00:13 +0800

image-editor (1.0.28) unstable; urgency=medium

  * chore: 【UI】底栏边距调整，与工具栏按钮间隙保持一致(Bug: 156711)
  * feat: 对于不支持设为壁纸的图片，置灰设置壁纸菜单项(Bug: 170707)
  * fix: 修复看图应用删除图片无效的问题(Bug: 197551)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 25 Apr 2023 09:55:13 +0800

image-editor (1.0.27) unstable; urgency=medium

  * fix: 修复相册-大图模式删除图片，没有显示删除确认弹窗的问题 (#68)(Bug: 157033)
  * chore: Add OBS workflows.

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Apr 2023 15:11:29 +0800

image-editor (1.0.26) unstable; urgency=medium

  * Update version to distinguish pro/community.
  * Fix no path error when print images. 

 -- Deepin Packages Builder <packages@linuxdeepin.com> Fri, 10 Mar 2023 10:32:25 +0800
