## image-editor 1.0.45

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,16 +18,12 @@
 include_directories(${PROJECT_BINARY_DIR})
 include_directories(${PROJECT_SOURCE_DIR})
 
-
 message(STATUS ${CMAKE_CXX_FLAGS})
 
 option(DOTEST "option for test" OFF)
-
-if(DOTEST)
+if(DOTEST OR CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_subdirectory(tests)
 endif()
-
-
 
 add_subdirectory(libimageviewer)
 add_subdirectory(libimagevisualresult)
