=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 option (USE_TEST "Use TESTS" ON)
 add_definitions( -DUSE_TEST )
+
+ADD_COMPILE_OPTIONS(-fno-access-control)
 
 set(TARGET_NAME image-editor-test)
 set(CMD_NAME image-editor-test)
