=== debian/changelog ===
image-editor (1.0.45) unstable; urgency=medium

  * fix: 修复漏洞 【CITIVD】Deepin-image-viewer-缓冲区溢出
  * feat: add avif and heif image format file support
  * fix: Improve image load policy
  * fix: Update version check with dpkg
  * fix: Remove watermark low version check
  * fix: Change watermark version check
  * test: Update quick print unit test
  * fix: Load translation file on quick print.
  * feat: Add quick print pictures

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Wed, 26 Jun 2024 09:57:51 +0800

image-editor (1.0.44) unstable; urgency=medium

  * fix: The bottom line of the bottombar bottoms is thick.(Bug: 197857)
  * feat: Set greeter background when setting wallpaper(Task: 32367)(Influence: SetWallpaper)
  * fix: Wrong clean cache folder(Bug: 247289)(Influence: SetWallpaper)
  * fix: Cached greeter background image too large(Bug: 247311)(Influence: SetWallpaper)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:30:02 +0800

image-editor (1.0.43) unstable; urgency=medium

  * fix: Info widget flicking on wayland.(Bug: 242125)

 -- renbin <renbin@uniontech.com>  Wed, 21 Feb 2024 16:50:55 +0800

image-editor (1.0.42) unstable; urgency=medium

  * fix: Fixed the issue where the thumbnail display would be
         stretched when viewing images.(Bug: 158423)
  * fix: Modify the file name suffix color of the rename window
         (Bug: 231485)
  * fix: Fix the issue that the pop-up window does not match the
         system controls(Bug: 194649)
  * fix: The wrong toolbar thumbnail movable range(Bug: 158443)
  * feat: Merge permission/watermark into master(Task: 27785, 30217)
  * fix: Copy may cause program lag
  * fix: The top toolbar background shading is inconsistent(Bug: 156727)
  * fix: Limit input printCount range(Bug: 241777)
  * fix: printCount not decrease on low dtk version(Bug: 241949)

 -- renbin <renbin@uniontech.com>  Mon, 05 Feb 2024 13:39:07 +0800

image-editor (1.0.41) unstable; urgency=medium

  * fix: Delete image not work after rename.(Bug: 236589)

 -- renbin <renbin@uniontech.com>  Wed, 10 Jan 2024 13:38:35 +0800

image-editor (1.0.40) unstable; urgency=medium

  * fix: Build error on low dtk version.

 -- renbin <renbin@uniontech.com>  Mon, 25 Dec 2023 17:14:57 +0800
