=== debian/changelog ===
image-editor (1.0.47) unstable; urgency=medium

  * remove freeimage

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 15 Nov 2024 14:00:19 +0800

image-editor (1.0.46) unstable; urgency=medium

  * chore(CI): add debian check workflow
    Thanks to kuchune
  * fix: temporary dirs are created by default
  * fix: [cmd] remove bash use(Task: 362321)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 14:16:15 +0800
