=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
  qttools5-dev, 
  libxcb-util0-dev, 
  libstartup-notification0-dev,
- libraw-dev,
- libfreeimage-dev, 
+ libraw-dev, 
  libqt5opengl5-dev, 
  qtbase5-private-dev,
  qtmultimedia5-dev,
